DTrees (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.ml

## Class DTrees

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ml.StatModel
    - - org.opencv.ml.DTrees

- Direct Known Subclasses:
    Boost, RTrees

      public class DTrees
      extends StatModel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `PREDICT_AUTO`
    `static int` | `PREDICT_MASK`
    `static int` | `PREDICT_MAX_VOTE`
    `static int` | `PREDICT_SUM`

    - ### Fields inherited from class org.opencv.ml.StatModel

      `COMPRESSED_INPUT, PREPROCESSED_INPUT, RAW_OUTPUT, UPDATE_MODEL`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DTrees(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DTrees` | `__fromPtr__(long addr)`
    `static DTrees` | `create()`
    `protected void` | `finalize()`
    `int` | `getCVFolds()`
    `int` | `getMaxCategories()`
    `int` | `getMaxDepth()`
    `int` | `getMinSampleCount()`
    `Mat` | `getPriors()`
    `float` | `getRegressionAccuracy()`
    `boolean` | `getTruncatePrunedTree()`
    `boolean` | `getUse1SERule()`
    `boolean` | `getUseSurrogates()`
    `static DTrees` | `load(java.lang.String filepath)`
    `static DTrees` | `load(java.lang.String filepath, java.lang.String nodeName)`
    `void` | `setCVFolds(int val)`
    `void` | `setMaxCategories(int val)`
    `void` | `setMaxDepth(int val)`
    `void` | `setMinSampleCount(int val)`
    `void` | `setPriors(Mat val)`
    `void` | `setRegressionAccuracy(float val)`
    `void` | `setTruncatePrunedTree(boolean val)`
    `void` | `setUse1SERule(boolean val)`
    `void` | `setUseSurrogates(boolean val)`

    - ### Methods inherited from class org.opencv.ml.StatModel

      `calcError, empty, getVarCount, isClassifier, isTrained, predict, predict, train, train, train`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREDICT_AUTO

          public static final int PREDICT_AUTO

      See Also:
        Constant Field Values

    - #### PREDICT_SUM

          public static final int PREDICT_SUM

      See Also:
        Constant Field Values

    - #### PREDICT_MAX_VOTE

          public static final int PREDICT_MAX_VOTE

      See Also:
        Constant Field Values

    - #### PREDICT_MASK

          public static final int PREDICT_MASK

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DTrees

          protected DTrees(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static DTrees __fromPtr__(long addr)

    - #### getPriors

          public Mat getPriors()

    - #### create

          public static DTrees create()

    - #### load

          public static DTrees load(java.lang.String filepath,
                                    java.lang.String nodeName)

    - #### load

          public static DTrees load(java.lang.String filepath)

    - #### getTruncatePrunedTree

          public boolean getTruncatePrunedTree()

    - #### getUse1SERule

          public boolean getUse1SERule()

    - #### getUseSurrogates

          public boolean getUseSurrogates()

    - #### getRegressionAccuracy

          public float getRegressionAccuracy()

    - #### getCVFolds

          public int getCVFolds()

    - #### getMaxCategories

          public int getMaxCategories()

    - #### getMaxDepth

          public int getMaxDepth()

    - #### getMinSampleCount

          public int getMinSampleCount()

    - #### setCVFolds

          public void setCVFolds(int val)

    - #### setMaxCategories

          public void setMaxCategories(int val)

    - #### setMaxDepth

          public void setMaxDepth(int val)

    - #### setMinSampleCount

          public void setMinSampleCount(int val)

    - #### setPriors

          public void setPriors(Mat val)

    - #### setRegressionAccuracy

          public void setRegressionAccuracy(float val)

    - #### setTruncatePrunedTree

          public void setTruncatePrunedTree(boolean val)

    - #### setUse1SERule

          public void setUse1SERule(boolean val)

    - #### setUseSurrogates

          public void setUseSurrogates(boolean val)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `StatModel`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown